curl --request POST \
--url 'https://api.computer.stateset.app/api/v1/approvals/{approval_id}/reject' \
--header "X-API-Key: $STATESET_COMPUTER_USE_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"comment": "Two-person tent, green — replacement for damaged pole set."
}'
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"job_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tool_name": "string",
"tool_input": {},
"reasoning": "string",
"screenshot_key": "string",
"status": "pending",
"review_comment": "string",
"expires_at": "2026-08-31T14:22:05Z",
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
}
Reject Approval V1
Reject a pending action — the worker treats it as a refused tool call.
POST
/
api
/
v1
/
approvals
/
{approval_id}
/
reject
curl --request POST \
--url 'https://api.computer.stateset.app/api/v1/approvals/{approval_id}/reject' \
--header "X-API-Key: $STATESET_COMPUTER_USE_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"comment": "Two-person tent, green — replacement for damaged pole set."
}'
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"job_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tool_name": "string",
"tool_input": {},
"reasoning": "string",
"screenshot_key": "string",
"status": "pending",
"review_comment": "string",
"expires_at": "2026-08-31T14:22:05Z",
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
}
Reject a pending action — the worker treats it as a refused tool call.
Path parameters
string (uuid)
required
Request body
JSON body of typeApprovalReviewRequest,null.
Response
ApprovalSummary
string
required
string
required
string
required
object
required
string,null
required
string,null
required
string
required
string,null
required
string,null
required
string
required
string
required
Status codes
| Code | Meaning |
|---|---|
200 | Successful Response |
422 | Validation Error |
curl --request POST \
--url 'https://api.computer.stateset.app/api/v1/approvals/{approval_id}/reject' \
--header "X-API-Key: $STATESET_COMPUTER_USE_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"comment": "Two-person tent, green — replacement for damaged pole set."
}'
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"job_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tool_name": "string",
"tool_input": {},
"reasoning": "string",
"screenshot_key": "string",
"status": "pending",
"review_comment": "string",
"expires_at": "2026-08-31T14:22:05Z",
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
}
Last modified on August 31, 2026